#include "wx/wx.h"
#include "algorithm.h"

Algorithm::Algorithm(const string &name_, int nrParams_)
: mName(name_)
, mNrParams(nrParams_)
{
}

bool Algorithm::DoesNeedNewImage( wxImage * origin_, wxImage * target_, int targetId_ )
{
    if ( !origin_ )
    {
        return false;
    }
    if ( GetNrParams() > targetId_
         && (   !target_
            ||  !target_->Ok() 
            ||  target_->GetWidth() != origin_->GetWidth() 
            ||  target_->GetHeight() != origin_->GetHeight() )
       )
   {
       return true;
   }
    
   return false;
}

wxImage* Algorithm::MakeNewImage( wxImage * origin_, int targetId_ )
{
    if ( !origin_ )
        return NULL;
    wxImage * result = new wxImage(origin_->GetWidth(), origin_->GetHeight());
    return result;
}
